* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    background: #fff9f2;
    color: #1a1a1a;
}

header {
    width: 100vw;
    display: flex !important;
    justify-content: space-between !important;
    align-items: center !important;
    padding: 20px 20px;
    position: fixed;
    z-index: 1000;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
}

.logo-riwaaz {
    font-size: 32px;
    color: #d4af37;
    font-family: 'Cinzel', serif;
    font-weight: bold;
}

nav a {
    color: white;
    margin-left: 25px;
    text-decoration: none;
    transition: 0.3s;
}

nav a:hover {
    color: #d4af37;
}


/* MENU BUTTON */

.menu-btn {
    width: 40px;
    height: 25px;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    z-index: 2000;
}

.menu-btn span {
    width: 100%;
    height: 4px;
    background: white;
    border-radius: 10px;
    transition: 0.4s;
}

/* ANIMATION */

.menu-btn.active span:nth-child(1) {
    transform: rotate(45deg) translateY(14px);
}

.menu-btn.active span:nth-child(2) {
    opacity: 0;
}

.menu-btn.active span:nth-child(3) {
    transform: rotate(-45deg) translateY(-14px);
}

/* MOBILE NAVBAR */
#mobileNav {
    display: none;
}

@media(max-width:720px) {
    #mobileNav {
        display: flex;
        flex-direction: column;
    }

    #mobileNav a {
        padding: 15px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
        display: block;
    }

    header {
        flex-direction: row;
        padding: 20px 7%;
    }

    .menu-btn {
        display: flex;
    }

    nav {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: #6d071a;
        display: flex;
        flex-direction: column;
        text-align: center;
        overflow: hidden;

        max-height: 0;
        transition: 0.5s;
    }

    nav a {
        padding: 20px;
        margin: 0;
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    }

    nav.active {
        max-height: 500px;
    }
}
